## PothosComms-0.3.5.tar.gz

=== CMakeLists.txt ===
########################################################################
# Project setup
########################################################################
cmake_minimum_required(VERSION 2.8.9)
project(PothosComms CXX C)

if(${CMAKE_PROJECT_NAME} STREQUAL ${PROJECT_NAME})
    find_package(Pothos "0.6.0" CONFIG REQUIRED)
else()
    find_package(Pothos CONFIG REQUIRED) #in-tree build
endif()

########################################################################
## Feature registration
########################################################################
include(FeatureSummary)
include(CMakeDependentOption)
cmake_dependent_option(ENABLE_COMMS "Enable Pothos Comms component" ON "Pothos_FOUND" OFF)
add_feature_info(Comms ENABLE_COMMS "A collection of DSP/communications blocks")

########################################################################
# json.hpp header
########################################################################
find_path(JSON_HPP_INCLUDE_DIR NAMES json.hpp PATH_SUFFIXES nlohmann)

if (NOT JSON_HPP_INCLUDE_DIR)
    message(WARNING "Pothos Comms toolkit requires json.hpp, skipping...")
endif (NOT JSON_HPP_INCLUDE_DIR)

########################################################################
# Spuce library
########################################################################
if(NOT SPUCE_IN_TREE)
    find_package(Spuce CONFIG)
endif(NOT SPUCE_IN_TREE)

if (Spuce_FOUND)
    message(STATUS "Spuce_VERSION: ${Spuce_VERSION}")
    message(STATUS "Spuce_INCLUDE_DIRS: ${Spuce_INCLUDE_DIRS}")
    message(STATUS "Spuce_LIBRARIES: ${Spuce_LIBRARIES}")
else (Spuce_FOUND)
    message(WARNING "Spuce filter designer library not found...")
endif (Spuce_FOUND)

########################################################################
# Build subdirectories
########################################################################
include_directories(functions)
add_subdirectory(functions)
add_subdirectory(demod)
add_subdirectory(digital)
add_subdirectory(fft)
add_subdirectory(filter)
add_subdirectory(mac)
add_subdirectory(math)
add_subdirectory(utility)
add_subdirectory(waveform)

=== demod/CMakeLists.txt ===
########################################################################
## Feature registration
########################################################################
cmake_dependent_option(ENABLE_COMMS_DEMOD "Enable Pothos Comms.Demod component" ON "ENABLE_COMMS" OFF)
add_feature_info("  Demod" ENABLE_COMMS_DEMOD "Basic communications demodulation blocks")
if (NOT ENABLE_COMMS_DEMOD)
    return()
endif()

########################################################################
# Demod blocks module
########################################################################
POTHOS_MODULE_UTIL(
    TARGET DemodBlocks
    SOURCES
        FreqDemod.cpp
    LIBRARIES CommsFunctions
    DESTINATION comms
    ENABLE_DOCS
)

=== digital/CMakeLists.txt ===
########################################################################
## Feature registration
########################################################################
cmake_dependent_option(ENABLE_COMMS_DIGITAL "Enable Pothos Comms.Digital component" ON "ENABLE_COMMS;JSON_HPP_INCLUDE_DIR" OFF)
add_feature_info("  Digital" ENABLE_COMMS_DIGITAL "Digital byte, bit, and symbol operators")
if (NOT ENABLE_COMMS_DIGITAL)
    return()
endif()

########################################################################
# Digital blocks module
########################################################################
if(MSVC)
    add_definitions(/bigobj) #may be helpful for templated factories
endif(MSVC)

include_directories(${JSON_HPP_INCLUDE_DIR})

POTHOS_MODULE_UTIL(
    TARGET DigitalBlocks
    SOURCES
        SymbolMapper.cpp
        SymbolSlicer.cpp
        TestSymbolMapperSlicer.cpp
        BytesToSymbols.cpp
        SymbolsToBytes.cpp
        TestDifferentialCoding.cpp
        DifferentialEncoder.cpp
        DifferentialDecoder.cpp
        SymbolsToBits.cpp
        BitsToSymbols.cpp
        TestSymbolBitConversions.cpp
        TestSymbolByteConversions.cpp
        PreambleCorrelator.cpp
        PreambleFramer.cpp
        TestFramerToCorrelator.cpp
        TestPreambleFramer.cpp
        TestPreambleCorrelator.cpp
        Scrambler.cpp
        Descrambler.cpp
        FrameInsert.cpp
        FrameSync.cpp
        ByteOrder.cpp
        TestByteOrder.cpp
    DESTINATION comms
    ENABLE_DOCS
)

=== fft/CMakeLists.txt ===
########################################################################
## Feature registration
########################################################################
cmake_dependent_option(ENABLE_COMMS_FFT "Enable Pothos Comms.FFT component" ON "ENABLE_COMMS" OFF)
add_feature_info("  FFT" ENABLE_COMMS_FFT "Implementation of the fast fourier transform")
if (NOT ENABLE_COMMS_FFT)
    return()
endif()

########################################################################
# Filter blocks module
########################################################################

#The templated c++ implementation only handles floats.
#We use the C implementation to handle the fixed point,
#however only one integer type can be compiled at once.
#We assume that complex int16 will be the most useful.

#add_definitions(-DFIXED_POINT=32)
add_definitions(-DFIXED_POINT=16)

add_definitions(-DKISS_FFT_USE_ALLOCA)

include(CheckIncludeFiles)
CHECK_INCLUDE_FILES(alloca.h HAS_ALLOCA_H)
if(HAS_ALLOCA_H)
    add_definitions(-DHAS_ALLOCA_H)
endif(HAS_ALLOCA_H)

POTHOS_MODULE_UTIL(
    TARGET FFTBlocks
    SOURCES
        FFT.cpp
        kiss_fft.c
        TestFFT.cpp
    DESTINATION comms
    ENABLE_DOCS
)

=== filter/CMakeLists.txt ===
########################################################################
## Feature registration
########################################################################
cmake_dependent_option(ENABLE_COMMS_FILTER "Enable Pothos Comms.Filter component" ON "ENABLE_COMMS;Spuce_FOUND" OFF)
add_feature_info("  Filter" ENABLE_COMMS_FILTER "Digital filter and tap designer blocks")
if (NOT ENABLE_COMMS_FILTER)
    return()
endif()

########################################################################
# Filter blocks module
########################################################################
include_directories(${Spuce_INCLUDE_DIRS})

POTHOS_MODULE_UTIL(
    TARGET FilterBlocks
    SOURCES
        DCRemoval.cpp
        FIRDesigner.cpp
        TestFIRDesigner.cpp
        IIRDesigner.cpp
        FIRFilter.cpp
        IIRFilter.cpp
        TestFIRFilter.cpp
        TestIIRFilter.cpp
        EnvelopeDetector.cpp
    DESTINATION comms
    LIBRARIES ${Spuce_LIBRARIES}
    ENABLE_DOCS
)

=== functions/CMakeLists.txt ===
########################################################################
## Comms function library
########################################################################
set(SOURCES
    fxpt_atan2.cpp
)

include_directories(${Pothos_INCLUDE_DIRS})
add_library(CommsFunctions STATIC ${SOURCES})
set_property(TARGET CommsFunctions PROPERTY POSITION_INDEPENDENT_CODE TRUE)

=== mac/CMakeLists.txt ===
########################################################################
## Feature registration
########################################################################
cmake_dependent_option(ENABLE_COMMS_MAC "Enable Pothos Comms.MAC component" ON "ENABLE_COMMS;JSON_HPP_INCLUDE_DIR" OFF)
add_feature_info("  MAC" ENABLE_COMMS_MAC "MAC layer and packet protocol blocks")
if (NOT ENABLE_COMMS_MAC)
    return()
endif()

########################################################################
# MAC blocks module
########################################################################
include_directories(${JSON_HPP_INCLUDE_DIR})
POTHOS_MODULE_UTIL(
    TARGET MacBlocks
    SOURCES
        SimpleMac.cpp
        TestSimpleMac.cpp
        SimpleLlc.cpp
        TestSimpleLlc.cpp
    DESTINATION comms
    ENABLE_DOCS
)

=== math/CMakeLists.txt ===
########################################################################
## Feature registration
########################################################################
cmake_dependent_option(ENABLE_COMMS_MATH "Enable Pothos Comms.Math component" ON "ENABLE_COMMS" OFF)
add_feature_info("  Math" ENABLE_COMMS_MATH "Mathematical operators for sample streams")
if (NOT ENABLE_COMMS_MATH)
    return()
endif()

########################################################################
# Math blocks module
########################################################################
if(MSVC)
    add_definitions(/bigobj) #arithmetic too large in debug mode
endif(MSVC)

POTHOS_MODULE_UTIL(
    TARGET MathBlocks
    SOURCES
        Abs.cpp
        Angle.cpp
        TestAngle.cpp
        Arithmetic.cpp
        TestComparatorBlocks.cpp
        Comparator.cpp
        Conjugate.cpp
        Log10.cpp
        TestLog10.cpp
        TestArithmeticBlocks.cpp
        Scale.cpp
        TestScale.cpp
        Rotate.cpp
        TestRotate.cpp
        ConstArithmetic.cpp
        Sinc.cpp
        TestSinc.cpp
        Trigonometric.cpp
    LIBRARIES CommsFunctions
    DESTINATION comms
    ENABLE_DOCS
)

=== utility/CMakeLists.txt ===
########################################################################
## Feature registration
########################################################################
cmake_dependent_option(ENABLE_COMMS_UTILITY "Enable Pothos Comms.Utility component" ON "ENABLE_COMMS;JSON_HPP_INCLUDE_DIR" OFF)
add_feature_info("  Utility" ENABLE_COMMS_UTILITY "Miscellaneous utilities for sample streams")
if (NOT ENABLE_COMMS_UTILITY)
    return()
endif()

########################################################################
# Utility blocks module
########################################################################
include_directories(${JSON_HPP_INCLUDE_DIR})
POTHOS_MODULE_UTIL(
    TARGET UtilityBlocks
    SOURCES
        SignalProbe.cpp
        Threshold.cpp
        WaveTrigger.cpp
        SplitComplex.cpp
        CombineComplex.cpp
        TestComplex.cpp
    DESTINATION comms
    ENABLE_DOCS
)

=== waveform/CMakeLists.txt ===
########################################################################
## Feature registration
########################################################################
cmake_dependent_option(ENABLE_COMMS_WAVEFORM "Enable Pothos Comms.Waveform component" ON "ENABLE_COMMS" OFF)
add_feature_info("  Waveform" ENABLE_COMMS_WAVEFORM "Periodic and random waveform generation")
if (NOT ENABLE_COMMS_WAVEFORM)
    return()
endif()

########################################################################
# Waveform blocks module
########################################################################
POTHOS_MODULE_UTIL(
    TARGET WaveformBlocks
    SOURCES
        WaveformSource.cpp
        NoiseSource.cpp
    DESTINATION comms
    ENABLE_DOCS
)

=== debian/changelog ===
pothos-comms (0.3.5-1) unstable; urgency=low

  * Release 0.3.5 (2021-01-24)

 -- Josh Blum <josh@pothosware.com>  Sun, 24 Jan 2021 19:20:33 -0000

pothos-comms (0.3.4-1) unstable; urgency=low

  * Release 0.3.4 (2020-07-19)

 -- Josh Blum <josh@pothosware.com>  Sun, 19 Jul 2020 21:52:33 -0000

pothos-comms (0.3.3-1) unstable; urgency=low

  * Release 0.3.3 (2019-06-22)

 -- Josh Blum <josh@pothosware.com>  Sat, 22 Jun 2019 07:58:06 -0000

pothos-comms (0.3.2-1) unstable; urgency=low

  * Release 0.3.2 (2018-12-29)

 -- Josh Blum <josh@pothosware.com>  Sat, 29 Dec 2018 19:01:19 -0000

pothos-comms (0.3.1-1) unstable; urgency=low

  * Release 0.3.1 (2018-04-18)

 -- Josh Blum <josh@pothosware.com>  Wed, 18 Apr 2018 18:44:51 -0000

pothos-comms (0.3.0-1) unstable; urgency=low

  * Release 0.3.0 (2017-12-25)

 -- Josh Blum <josh@pothosware.com>  Mon, 25 Dec 2017 11:29:04 -0000

pothos-comms (0.2.2-1) unstable; urgency=low

  * Release 0.2.2 (2017-01-26)

 -- Josh Blum <josh@pothosware.com>  Thu, 26 Jan 2017 21:24:57 -0800

pothos-comms (0.2.1-ppa1) unstable; urgency=low

  * Release 0.2.1 (2016-09-24)

 -- Josh Blum <josh@pothosware.com>  Sat, 24 Sep 2016 19:52:08 -0700

pothos-comms (0.2.0) unstable; urgency=low

  * Release 0.2.0 (2016-08-02)

 -- Josh Blum <josh@pothosware.com>  Tue, 02 Aug 2016 14:18:48 -0700

pothos-comms (0.1.3) unstable; urgency=low

  * Release 0.1.3 (2016-03-06)

 -- Josh Blum <josh@pothosware.com>  Sun, 06 Mar 2016 11:54:42 -0800

pothos-comms (0.1.2) unstable; urgency=low

  * Release 0.1.2 (2016-01-29)

 -- Josh Blum <josh@pothosware.com>  Fri, 29 Jan 2016 11:49:46 -0800

pothos-comms (0.1.1) unstable; urgency=low

  * Release 0.1.1 (2015-12-29)

 -- Josh Blum <josh@pothosware.com>  Tue, 29 Dec 2015 20:46:36 -0800

pothos-comms (0.1.0) unstable; urgency=low

  * Release 0.1.0 (2015-12-16)

 -- Josh Blum <josh@pothosware.com>  Wed, 16 Dec 2015 16:30:45 -0800

=== debian/control ===
Source: pothos-comms
Section: science
Priority: optional
Maintainer: Josh Blum <josh@pothosware.com>
Build-Depends:
    debhelper (>= 9.0.0),
    cmake (>= 2.8.9),
    libpoco-dev (>= 1.6),
    nlohmann-json-dev,
    libpothos-dev,
    libspuce-dev
Standards-Version: 4.5.0
Homepage: https://github.com/pothosware/PothosComms/wiki
Vcs-Git: https://github.com/pothosware/PothosComms.git
Vcs-Browser: https://github.com/pothosware/PothosComms

Package: pothos-modules-comms
Section: libs
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: pothos0.7-modules-comms, ${misc:Depends}
Description: communications blocks - metapackage
 The Pothos data-flow software suite.

Package: pothos0.7-modules-comms
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: communications blocks
 The Pothos data-flow software suite.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# extract the architecture for setting the library path suffix
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --buildsystem=cmake --parallel

override_dh_auto_configure:
	dh_auto_configure -- \
		-DLIB_SUFFIX="/$(DEB_HOST_MULTIARCH)" \
		-DCMAKE_SKIP_RPATH=TRUE

override_dh_installchangelogs:
	dh_installchangelogs Changelog.txt
